



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>常用的 SQL语句------CRUD</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">常用的 SQL语句------CRUD</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-04 18:59:35 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>复习之前课本上的sql语句，以前上课的时候都是老师在上面讲，我们在下面玩，根本没有把这个放在心上，等到考试的时候临时学习突击下，就可以顺利过60了，但是现在不行了，自己要重新的学习sql，应该把里面最基本的语句和语法都全部的学习下，每个案例都要在数据库中执行下，我们需要这些基本的知识点。</p>
<blockquote><p>1：创建表，修改表，添加列</p></blockquote>
<pre class="prettyprint linenums">/*创建基本表Student*/<br />
create table Student(<br />
           Sno char(5) not null unique,        /*定义的学号不能为空,并且是唯一的值。*/<br />
		   Sname char(20),<br />
		   Ssex char(2),<br />
		   Sage int,<br />
		   Sdept Char(15)<br />
);<br />
/*修改基本表Student*/<br />
     /*添加新列Scome*/<br />
     alter table Student Add Scome DATE;<br />
     /*修改数据类型*/<br />
	 alter table Student MODIFY Sage SMALLINT;<br />
	 /*删除学号的唯一标识*/<br />
	 alter table Student DROP UNIQUE(Son);<br />
/*删除表*/<br />
drop table Student;<br />
/*创建索引*/<br />
    CREATE CLUSTER INDEX Stusname ON Student(Sname);<br />
/*删除索引*/<br />
    drop index Stusname;</pre>
<blockquote><p>2：基本的查询</p></blockquote>
<pre class="prettyprint linenums">/*查询*/<br />
          select Sname,Sage from Student;

	  select Sname,Sage,Sdept from Student;

	  select * from Student;

	  select Sname,1996-Sage from Student;

	  select Sname,'Year of Birth:',1996-Sage,LOWER(Sdept) from Student;

	  select Sname NAME,'Year of Birth:'BIRTH,1996-Sage BIRTHDAY,LOWER(Sdept) DEPARTMENT FROM Student;    /*为列创建别名*/</pre>
<blockquote><p>3：复杂的查询</p></blockquote>
<pre class="prettyprint linenums">	    /*消除重复行*/<br />
	     select DISTINCT Sno from Student;

	     /*查询满足条件的元组*/<br />
	     select Sname from Student where Sdept="CD";

		 select Sname,Sage from Student where Sage&gt;=20;

		 alter table Student add Grade int;

		 select DISTINCT Sno from Student where Grade&lt;60;<br />
		 /*确定范围-----------between and */<br />
		 select Sname,Sage,Sdept from Student where Sage between 20 and 23;<br />
		 /*确定集合-----------IN('','','')*/<br />
		 select Sname,Ssex from Student where Sdept IN('IS','MA','CS');<br />
		 /*字符匹配-----------LIKE+++( %：代表任意长度)( _ ：代表单个字符)*/<br />
		 select Sname,Sage from Student where Sname LIKE 'A%';

		 SELECT Sname ,Sage from Student where Sname LIKE 'A_';

		 /*字符匹配-------里面的转义字符-----ESCAPE'\'：表示\为转义字符*/<br />
		/*查询条件是&ldquo;A_&rdquo;此时这里的_不是代表一个字符，只是单纯的表示下划线而已。因为语句前面有转义字符。*/<br />
		 select Sname from Student where Sage LIKE 'A\__' ESCAPE '\';

		 /*涉及空值的查询*/<br />
		 select Sname,Sage from Student where Grade IS NULL;  /*查询成绩为空的学生*/</pre>
<blockquote><p>4：更复杂查询</p></blockquote>
<pre class="prettyprint linenums">/*多重条件查询*/<br />
   select Sname from Student where Sdept='cd' and Sage&gt;20;

   select Sname from Student where Sdept='cd' or Sage&gt;20;

/*对查询结果进行排序*/

   select Sname Grade from Student where Sage&gt;20 order by Sage DESC;

   select * from Student order by Sage DESC;

/*使用集函数*/<br />
   select count(*) from Student;                 /*求总个数*/

   select count(distinct Sno) from Student;

   select avg(Sage) from Student where Sname='ahui';     /*avg：求平均值*/

   select Sname,count(Sage) from Student group by Sname;

   select MAX(Sage) from Student where Sno='1';    /*最大值*/</pre>
<blockquote><p>5：连接查询</p></blockquote>
<pre class="prettyprint linenums">/*连接查询*/<br />
   /*等值的查询*/<br />
      select Student.*,SC.* from Student,SC where Student.Sno=SC.Sno;

	 /*自然连接两个表*/<br />
	 select Student.Sno,Sname,Ssex,Sage,Sdept,Cno,SC.Grade from Student,SC where Student.Sno=SC.Sno;<br />
	 /*将表Student进行了重新命名，为两个名字，从而进行对自己的查询*/<br />
	 select FIRS.Sage,SECO.Sno from Student FIRS,Student SECO where FIRS.Sno=SECO.Sage; 

	/*外连接*/

	select Student.Sno,Sname,Sage,Sdept,Ssex,Cno,SC.Grade from Student,SC where Student.Sno=SC.Sno(*);

	/*复合条件连接--------就是利用and来进行操作*/

	 select Student.Sno,Sname from Student,SC where Student.Sno=SC.Sno and SC.Cno='2' and Student.Sage=2;</pre>
<blockquote><p>6: 嵌套查询</p></blockquote>
<p>这个查询是将最里面的查询结果当作外面查询的条件来进行查询的，执行顺序是从里到外执行的。注意：最里面的查询(子查询的select语句中不能使用ORDER BY子句，ORDER BY子句只能对最终的查询结果进行排序)</p>
<pre class="prettyprint linenums">   /*嵌套查询---就是把一个查询的结果当做另一个查询的条件来进行查询*/

      select Sname from Student where Sno<br />
	        IN(<br />
			   select Sno from SC where Cno='2'<br />
			);<br />
			/*--01：带有IN的子查询*/<br />
	  select Sno,Sname,Sdept from Student where Sdept IN(  select Sdept from Student where Sname='ahui');<br />
	       /*--02：带有比较运算符的子查询*/<br />
	  select Sno,Sname,Sdept from Student where Sdept=(  select Sdept from Student where Sname='ahui');</pre>
<blockquote><p>7：集合查询</p></blockquote>
<p>每一个select语句都能获得一个或一组元组，若要把多个select语句的结果合并为一个结果，可用集合操作来完成。集合操作主要包括并操作（UNION）交操作（INTERSECT）,差操作（MINUS）.</p>
<p>使用UNION将多个查询结果合并起来，形成一个完整的查询结果时，系统会自动去掉重复的元组；</p>
<blockquote><p>注意的是参加UNION操作的各数据项数目必须相同，对应项的数据类型也要必须相同。</p></blockquote>
<pre class="prettyprint linenums">/*集合查询*/<br />
        /*查询计算机系的学生及年龄不大于19学生----是个并集*/<br />
     select * from Student where Sdept='CS' UNION select * from Student where Sage&lt;=19;

	 select Sno from SC where Cno='1' UNION select Sno from SC where Cno='2';</pre>
<blockquote><p>8：数据更新</p></blockquote>
<pre class="prettyprint linenums"> /*插入数据*/<br />
  insert into Student values('05','aaa','男','25','3','2015-11-26','3');

  insert into SC(Sno,Cno) values('06','3');

  insert into Deptage(Sdept,Avgage) select Sdept,AVG(Sage) from Student GROUP BY Sdept;<br />
/*修改数据*/

   update Student set Sage=233 where Sno='01';

   update Student Set Sage=Sage+1;

   update SC set Grade=1 where '1'=( select Sdept from Student where Student.Sno=SC.Sno);

/*删除数据*/<br />
   delete from Student where Sno='01';</pre>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/5qxpl09y.html">mybatis笔记1 基本的配置和操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/m9677x48.html">基于Redis的爬虫平台的实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8o3j218.html">JSTL和EL</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq45lke9.html">XCODE  UITextField  中的属性和用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdmrxvq.html">c&plus;&plus; template函数的声明和实现需要在同一个文件中</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mg6e28.html">关于WM&lowbar;CTLCOLOREDIT的处理的一些问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyd4lzxq.html">找回使用过的QQ头像</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdxl0e8.html">Chrome调试nodejs</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn1orv8.html">Java中 map&period;values转换为list或者string&lbrack;&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp12wr9.html">MySql安装（rpm）和启动配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/8me2750q.html">&period;NET 利用反射将对象数据添加到数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gegrll8.html">Java之集合初探（二）Iterator（迭代器），collections，打包&sol;解包（装箱拆箱），泛型&lpar;Generic&rpar;，comparable接口</a>
		</li>
						<li><a href="https://www.batexi.com/a/93yk1kr8.html">ie下常见的css兼容问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkx3zv8.html">在windows环境下更改某软件的窗口位置</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zwnkg9.html">记Windows10下安装Docker的步骤</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljglk69.html">Python内置函数&lpar;31&rpar;&mdash;&mdash;id</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eydmpe9.html">SpringMVC学习手册&lpar;一&rpar;------工作原理解析</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyw06dq.html">c&num; 参数名ascii码从小到大排序&lpar;字典序&rpar;拼接</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv21wwx9.html">itchat 报错 OSError&colon; &lbrack;WinError -2147221003&rsqb; 找不到应用程序&colon; &amp;&num;39&semi;QR&period;png&amp;&num;39&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gz3w6q.html">第9天【btrfs文件系统、压缩工具及for语句、程序包管理】</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/5qx6gpdq.html">Backbone源码解析（四）：View（视图）模块</a>
			</li>
						<li><a href="https://www.batexi.com/a/39r6rre9.html">Zookeeper--Zookeeper是什么</a>
			</li>
						<li><a href="https://www.batexi.com/a/495ze169.html">java提高篇&lpar;十一&rpar;-----强制类型转换</a>
			</li>
						<li><a href="https://www.batexi.com/a/495zoo69.html">自制Unity小游戏TankHero-2D&lpar;2&rpar;制作敌方坦克</a>
			</li>
						<li><a href="https://www.batexi.com/a/rqlw64k8.html">机械革命 USB装系统各种坑</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdgnjxq.html">Vuejs注意点</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8my35o8.html">第九回　Microsoft&period;Practices&period;Unity&period;Interception实现基于数据集的缓存（针对六，七，八讲的具体概念和配置的解说）</a>
			</li>
						<li><a href="https://www.batexi.com/a/3904o3n8.html">Fedora 24 install MySQL</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq47e0jq.html">iOS-旧项目中手动内存管理&lpar;MRC&rpar;转ARC</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq43y608.html">hibernate&lpar;七&rpar; hibernate中查询方式详解</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
